.fw-bold {
    font-weight: bold;
}

.calendar {
    border: #343538 solid 1px;
    border-radius: .25rem;
}

.calendar .calendar-header {
    border-bottom: #343538 solid 1px;
    padding-left: 2rem;
    padding-top: .5rem;
    padding-bottom: .5rem;
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: center;
}

.calendar .calendar-header .calendar-switch {
    padding-right: 1.5rem;
    align-items: center;
    display: inline-flex;
    gap: 1rem;
}

.calendar .calendar-header .calendar-switch .calendar-btn * {
    transition-property: none !important;
    transition-duration: 0s !important;
    cursor: pointer;
}

.calendar .calendar-header .calendar-switch .calendar-btn.disabled * {
    cursor: not-allowed !important;
    opacity: .25;
}

.calendar .calendar-header .calendar-switch .calendar-btn:not(.disabled):hover {
    color: rgb(13, 202, 240);
}

.calendar-sheet {
    margin-top: 1rem;
    border-top: #343538 solid 1px;
    padding: 0 2rem 1rem 2rem;
}

.calendar-amount {
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: center;
}

.calendar-amount .amount {
    font-size: 1.5rem;
}

.text-end {
    text-align: right;
}

.calendar .send-order {
    background-color: rgb(13, 202, 240);
    border: 0;
    border-radius: .5rem;
    color: #fff;
    padding: .5rem .7rem .5rem .7rem;
    cursor: pointer;
}

.calendar .send-order:disabled {
    filter: brightness(.8);
    cursor: not-allowed;
}

.calendar .send-order:not(:disabled):hover {
    background-color: rgba(13, 202, 240, .6);
}

.calendar-body {
    display: flex;
    flex-direction: column;
}

.calendar-row.active {
    display: grid;
}

.calendar-row {
    display: none;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
    width: 100%;
    flex-grow: 1;
    padding: 1rem;
}

.calendar-header-row {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
    width: 100%;
    padding: .2rem 1rem .2rem 1rem;
    border-bottom: #343538 solid 1px;
}

.calendar-header-col {
    text-align: center;
}

.calendar-row .calendar-col {
    text-align: center;
    padding: auto 0 auto 0;
    align-content: center;
    border-radius: 1rem;
    cursor: pointer;
    user-select: none;
}


.calendar-row .calendar-col.active {
    background-color: rgb(13, 202, 240) !important;
    color: #FFF;
}

.calendar-row .calendar-col:hover {
    background-color: rgba(0, 0, 0, .1);
}